package com.shibofu.spring.quartz;



import com.shibofu.spring.db1.service.PacsPollingService;
import org.quartz.JobExecutionContext;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @description: pacs定时任务采集
 * @author linjj
 * @date: 2024/1/18 9:22
 */
public class PacsQuartz extends QuartzJobBean {

    @Resource
    private PacsPollingService pacsPollingService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext)  {
        //每天轮询查询昨天数据进来采集
        pacsPollingService.PacsEveryDayPolling();
        //每天轮询查询一周内数据进来采集
        pacsPollingService.PacsEveryWeekPolling();
    }
}
