package com.shibofu.spring.text;

import com.shibofu.spring.MainApplication;
import com.shibofu.spring.db1.service.PacsPollingService;
import com.shibofu.spring.db1.serviceImpl.PacsPollingServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;


/**
 * @ClassName test
 * @Description 测试类
 * @Author linjj
 * @Date 2024/1/18 9:54
 * @Version 1.0
 */
@SpringBootTest(classes = MainApplication.class)
@RunWith(SpringRunner.class)
@Slf4j
public class test {

    @Value("${savePath}")
    private String savePath;

    private final static Logger logger = LoggerFactory.getLogger(test.class);
    @Autowired
    private PacsPollingService pacsPollingService;

    @Test
    public void testDemo() {
        String filePathdir = savePath + File.separatorChar + "1231" +  File.separatorChar + "111";
        File file = new File(filePathdir);
        //判断文件夹是否存在不存在创建文件夹
        log.info("创建文件的路径：" + file.getAbsolutePath());
        if (!file.exists()) {
            log.info("尝试创建文件：" + file.getAbsolutePath());
            file.mkdirs();
        }

    }
}
